## libfprint 0.9.2.1

=== meson_options.txt ===
option('drivers',
       description: 'Drivers to integrate',
       type: 'string',
       value: 'all')
option('udev_rules',
       description: 'Whether to create a udev rules file',
       type: 'boolean',
       value: true)
option('udev_rules_dir',
       description: 'Installation path for udev rules',
       type: 'string',
       value: 'auto')
option('x11-examples',
       description: 'Whether to build X11 example applications',
       type: 'boolean',
       value: true)
option('doc',
       description: 'Whether to build the API documentation',
       type: 'boolean',
       value: true)

## libfprint 0.4.0-4-gdfff16f

=== debian/changelog ===
libfprint (1:0.4.0-4-gdfff16f-4) unstable; urgency=low

  * Fix libusb global variables FTBFS. (Closes: #680838)

 -- Didier Raboud <odyx@debian.org>  Mon, 09 Jul 2012 00:46:05 +0200

libfprint (1:0.4.0-4-gdfff16f-3) unstable; urgency=low

  * Patch the udev rules creator to:
    - include all devices; (Closes: #679001)
    - handle blacklists correctly.

 -- Didier Raboud <odyx@debian.org>  Tue, 26 Jun 2012 10:52:16 +0200

libfprint (1:0.4.0-4-gdfff16f-2) unstable; urgency=low

  * Mark libfprint0 Multi-Arch: same.
  * Add patch to define ETIME for the kFreeBSD flavours. (Closes:
    #673704)

 -- Didier Raboud <odyx@debian.org>  Mon, 21 May 2012 10:55:36 +0200

libfprint (1:0.4.0-4-gdfff16f-1) unstable; urgency=low

  * New upstream release snapshot.
    - Fix versioning with an epoch: the 0.4.0 version was released and
      this is indeed a post-0.4.0 upstream snapshot.

  * Bump debhelper Build-Depends and compat to 9.
  * Use short debhelper style; migrate to multiarch.
  * Use the built udev rules for autosuspend; append our mode and group
    specificities.
  * Add symbols tracking for libfprint0.
  * Update homepage to the new home at freedesktop.org.
  * Bump Standards-Version to 3.9.3 without changes needed.
  * Add Vcs-* to reflect the new Git repository.
  * Drop the mention of the old synchronous library from the
    description.
  * Drop useless dirs specifications.
  * Avoid duplication of Section snippet in control.
  * Add myself as uploader.

 -- Didier Raboud <odyx@debian.org>  Sat, 19 May 2012 17:11:57 +0200

libfprint (20110418git-2) unstable; urgency=low

  * Transitioning from libmagick9 to libmagickcore (Closes: #625597, #629788).

 -- Ulises Vitulli <dererk@debian.org>  Sun, 12 Jun 2011 12:22:16 -0300

libfprint (20110418git-1) unstable; urgency=low

  * New upstream release.
  * Removing resigned uploader from the Uploaders filed (Closes: #595719).
  * Cleaning out 'dependency_libs' for multiarch support (Closes: #620447).
  * Added libnss as build-depend for uru4000.  
  * Added Validity VFS101 device support. 
  * Bump Standard-version up to 3.9.2.0 (no changes needed).

 -- Ulises Vitulli <dererk@debian.org>  Tue, 19 Apr 2011 14:58:27 -0300

libfprint (20100820git-1) unstable; urgency=low

  * New upstream snapshot.
  * Remove local patches, reported and applied on upstream side, 
    thanks BastienNocera:
    - Check-return-code-from-img2print-conversion.patch.
    - Add-some-corrective-action-if-there-are-missing-pack.patch.
    - Make-the-2-right-shift-correction-happen-on-image-ha.patch.
    - Dont-consider-the-scan-complete-unless-there-is-atle.patch.

 -- Ulises Vitulli <dererk@debian.org>  Mon, 23 Aug 2010 09:02:32 -0300

libfprint (20100819git-2) unstable; urgency=low

  * debian/libfprint0.udev:
    - Include support for uru400 (05ba:0008).
    - Include support for upeke2 and upeksonly (147e:2016).
    - Include support for Veridicom 5thSense (061a:0110).

 -- Ulises Vitulli <dererk@debian.org>  Sun, 22 Aug 2010 21:48:02 -0300

libfprint (20100819git-1) unstable; urgency=low

  * New upstream release:
    - upeke2: Add support for 0x2e status code (Closes: #584563, #585179).
    - Don't crash when no devices are present.
    - Implement discover() methods for upeke2 and upeksonly.
    - Rework "discover" code for drivers.
    - Finish implementation of AES1610 driver.
    - Add udev rules to set devices to autosuspend.
    - Add gdk-pixbuf support.
  * Bump Standard-version up to 3.9.1.

 -- Ulises Vitulli <dererk@debian.org>  Thu, 19 Aug 2010 13:30:18 -0300

libfprint (20081125git-4) unstable; urgency=low

  * debian/libfprint0.udev:
    Include support for aes2501-wy (08ff:2500).

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Sun, 18 Apr 2010 18:34:23 -0300

libfprint (20081125git-3) unstable; urgency=low

  * The 'Oh-yeah!' upload:
    - Droping pkg from experimental, now going to unstable.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Minor package updates to comply with 3.8.4 standard.
    - debian/control: Added misc:Depends for libfprint0+libfprint-dev.

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Wed, 14 Apr 2010 12:00:01 -0300

libfprint (20081125git-2) experimental; urgency=low

  * Fix missing dependence (Closes: #539085).

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Wed, 29 Jul 2009 08:21:37 -0300

libfprint (20081125git-1) experimental; urgency=low

  * Synchronized to upstream v0.1.0-pre1 release.
  * Upstream git checkout fixing little issues:
    - Fixes libtool problem.
    - Add more debuging support.
  * Minor package updates to comply with 3.8.2 standard.
  * Now depends on libusb-1.0.

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Sat, 06 Jun 2009 12:00:26 -0300

libfprint (0.0.6-2) experimental; urgency=low

  * Fixing to non-native pkg (Closes: 481434)

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Thu, 15 May 2008 21:56:24 -0300

libfprint (0.0.6-1) experimental; urgency=low

  * New upstream release (Closes: #472780).
  * Adding udev rule allowing 'plugdev' group access fprint known devices.

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Wed, 26 Mar 2008 10:59:55 -0300

libfprint (0.0.5-3) experimental; urgency=low

  * Fixing dependences (Closes: #469813)

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Fri, 07 Mar 2008 08:47:18 -0200

libfprint (0.0.5-2) experimental; urgency=low

  * Added license for nbis/* files in copyright file

 -- Miguel Gea Milvaques <xerakko@debian.org>  Mon, 04 Feb 2008 21:02:48 +0100

libfprint (0.0.5-1) experimental; urgency=low

  [ Emfox Zhou ]
  * Initial release (Closes: #460493, #438922)

  [ Miguel Gea Milvaques ]
  * Moved target from unstable to experimental
  * Lintian clean ( makefile distclean in rules)

 -- Miguel Gea Milvaques <xerakko@debian.org>  Sat, 02 Feb 2008 22:56:51 +0100

=== debian/control ===
Source: libfprint
Priority: extra
Section: libs
Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
Uploaders: Ulises Vitulli <dererk@debian.org>, Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, libtool, automake,
 libusb-1.0-0-dev, libssl-dev, libglib2.0-dev, libmagickcore-dev, libxv-dev,
 libnss3-dev
Standards-Version: 3.9.3
Homepage: http://www.freedesktop.org/wiki/Software/fprint/libfprint
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=fingerforce/libfprint.git
Vcs-Git: git://anonscm.debian.org/fingerforce/libfprint.git

Package: libfprint-dev
Section: libdevel
Architecture: any
Depends: libfprint0 (= ${binary:Version}), ${misc:Depends}
Description: async fingerprint library of fprint project, development headers
 The fprint project aims to support for consumer fingerprint reader devices.
 .
 Previously, Linux support for such devices has been scattered amongst different
 projects (many incomplete) and inconsistent in that application developers
 would have to implement support for each type of fingerprint reader separately.
 The idea is to change that by providing a central system to support all the
 fingerprint readers as it's possible to get hands on.
 .
 libfprint is the centre of efforts, this component does the dirty job of
 talking to fingerprint reading devices, and processing fingerprint data.
 .
 This library depends on the new libusb, which performs asynchronous callbacks,
 allowing fprint to perform non-blocking device tasks. 
 .
 This package provides development headers.

Package: libfprint0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: async fingerprint library of fprint project, shared libraries
 The fprint project aims to support for consumer fingerprint reader devices.
 .
 Previously, Linux support for such devices has been scattered amongst different
 projects (many incomplete) and inconsistent in that application developers
 would have to implement support for each type of fingerprint reader separately.
 The idea is to change that by providing a central system to support all the
 fingerprint readers as it's possible to get hands on.
 .
 libfprint is the centre of efforts, this component does the dirty job of
 talking to fingerprint reading devices, and processing fingerprint data.
 .
 This library depends on the new libusb, which performs asynchronous callbacks,
 allowing fprint to perform non-blocking device tasks. 
 .
 This package provides shared libraries.

## libfprint 0.5.0

=== debian/changelog ===
libfprint (1:0.5.0-4ubuntu1) raring; urgency=low

  * Sync with Debian.
  * debian/patches/link-against-glib.patch:
    - Bugzilla patch to fix build failure from underlinking 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 20 Apr 2013 11:44:10 -0400

libfprint (1:0.5.0-4) experimental; urgency=low

  * Correct the kFreeBSD ETIME patch update to define ETIME later.

 -- Didier Raboud <odyx@debian.org>  Sun, 03 Mar 2013 15:22:25 +0100

libfprint (1:0.5.0-3) experimental; urgency=low

  * Update kFreeBSD ETIME patch to also correct the vfs301 driver.

 -- Didier Raboud <odyx@debian.org>  Sun, 03 Mar 2013 13:56:16 +0100

libfprint (1:0.5.0-2) experimental; urgency=low

  * Patch vfs301 driver to look for libusb.h without the versionned
    path, hopefully fixes the kFreeBSD FTBFS.
  * Bump Standards-Version to 3.9.4 without changes needed.
  * Only execute the udevadm commands if udevadm is in the script path,
    allows seamless install in chroots without udev and non-Linux.

 -- Didier Raboud <odyx@debian.org>  Sun, 03 Mar 2013 12:58:41 +0100

libfprint (1:0.5.0-1) experimental; urgency=low

  * New 0.5.0 upstream release.

  [ Didier Raboud ]
  * Refresh all patches for 0.5.0
    - Drop fix-libusb-global-variables-FTBFS.patch implemented upstream.
  * Backport two upstream hotfixes for uru4000:
    - uru4000: fix race condition on waiting power up irq
    - uru4000: fix cancelling of imaging from error callback

  [ Luca Capello ]
  * Apply udev rules at install time with udevadm --trigger (Closes: #683863)

 -- Didier Raboud <odyx@debian.org>  Sat, 02 Mar 2013 18:52:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: libfprint
 Priority: extra
 Section: libs
-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
 Uploaders: Ulises Vitulli <dererk@debian.org>, Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 9), autotools-dev, libtool, automake,
  libusb-1.0-0-dev, libssl-dev, libglib2.0-dev, libmagickcore-dev, libxv-dev,
  libnss3-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.freedesktop.org/wiki/Software/fprint/libfprint
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=fingerforce/libfprint.git
 Vcs-Git: git://anonscm.debian.org/fingerforce/libfprint.git

## libfprint 0.5.1

=== debian/changelog ===
libfprint (1:0.5.1-1) unstable; urgency=low

  * New 0.5.1 upstream release:
    - Update patches list for 0.5.1, drop 6 patches incorporated or
      backported from upstream, refresh one.

 -- Didier Raboud <odyx@debian.org>  Sun, 29 Sep 2013 13:41:22 +0200

libfprint (1:0.5.0-6) unstable; urgency=low

  [ Jeremy Bicha ]
  * Fix underlinking against glib - thanks to Julian Taylor
   (Closes: #710381, #713466) 

  [ Didier Raboud ]
  * Run udevadm trigger on 147e:2020 too

 -- Didier Raboud <odyx@debian.org>  Mon, 24 Jun 2013 11:24:43 +0200

libfprint (1:0.5.0-5) unstable; urgency=low

  * Upload to unstable with two more backports from upstream:
    - imgdev: fix cancelling of enrollment from stage_completed callback
    - upeke2: Add support for 147e:2020 ID

 -- Didier Raboud <odyx@debian.org>  Sat, 18 May 2013 16:35:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libfprint
 Priority: extra
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
+Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
 Uploaders: Ulises Vitulli <dererk@debian.org>, Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 9), autotools-dev, libtool, automake,
  libusb-1.0-0-dev, libssl-dev, libglib2.0-dev, libmagickcore-dev, libxv-dev,

## libfprint 0.6.0

=== debian/changelog ===
libfprint (1:0.6.0-2) unstable; urgency=low

  * Upload to unstable
  * Add simple gbp.conf to help with releasing

 -- Didier Raboud <odyx@debian.org>  Sun, 03 May 2015 15:19:19 +0200

libfprint (1:0.6.0-1) experimental; urgency=medium

  * New 0.6.0 upstream release:
    * Drivers:
      - Reduce duplication between AES3500 and AES4000 drivers and add support
        for AES3500 device
      - Add support for UPEK 147e:2020 and Upek Eikon 2 devices
      - Add EgisTec ES603 driver
      - Add VFS5011 driver (Closes: #713815)
      - Always perform 5 scans for image enrollment
      - Better verification with AES1660 driver
      - Better verification for a number of AES drivers
    * Library:
      - Always use Pixman for image manipulation, gdk-pixbuf and ImageMagick
        are not supported any more.
    * Udev rules:
      - Fix warning when USB hub or system does not support power management

  [ Didier Raboud ]
  * Refresh Debian patches
  * Backport two upstream patches:
    - imgdev: fix enum mismatch for dev_change_state() call
    - vfs101: Logical conjunction always evaluates to false
  * Add two new 0.6.0 symbols

 -- Didier Raboud <odyx@debian.org>  Fri, 27 Mar 2015 08:33:53 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Configuration arguments
CONFIG_ARGS = --disable-silent-rules

%:
	dh $@ --parallel

override_dh_clean:
	dh_clean
	rm -f debian/libfprint0.udev

override_dh_auto_configure:
	# From autogen.sh
	libtoolize --copy --force
	aclocal
	autoheader
	autoconf
	automake -a -c
	dh_auto_configure -- $(CONFIG_ARGS)

override_dh_auto_install:
	dh_auto_install
	# Clear .la dependency_libs
	set -e; for file in `ls $(CURDIR)/debian/tmp/usr/lib/*/*.la`; do \
		sed -i "/dependency_libs/ s/'.*'/''/" $$file; \
	done

override_dh_installudev:
	cp libfprint/60-fprint-autosuspend.rules debian/libfprint0.udev
	dh_installudev

## libfprint 0.7.0

=== debian/changelog ===
libfprint (1:0.7.0-1) unstable; urgency=medium

  * Team upload.
  * New 0.7.0 upstream release:
    - Add VFS0050 driver (Closes: #843626)
    - Refresh the patches, drop all the upstreamed ones
  * Bump debhelper compatibility to 10 and rely on dh_autoreconf instead of
    calling the autotools explicitly
  * debian/control:
    - Bump Standards-Version to 3.9.8 (no further changes)
    - Use https for the Homepage and Vcs-* fields
    - Drop libssl-dev build-dependency, not needed anymore (Closes: #854710)
    - Drop libmagickcore-dev build-dep and add libpixman-1-dev
      instead, ImageMagick is not supported since 0.6.0
  * Add debian/watch file
  * debian/libfprint0.postinst: Add new calls to "udevadm --trigger" to
    also properly set the permissions on the newest supported readers.

 -- Laurent Bigonville <bigon@debian.org>  Wed, 17 May 2017 16:58:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Section: libs
 Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
 Uploaders: Ulises Vitulli <dererk@debian.org>, Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, libtool, automake,
- libusb-1.0-0-dev, libssl-dev, libglib2.0-dev, libmagickcore-dev, libxv-dev,
+Build-Depends: debhelper (>= 10),
+ libusb-1.0-0-dev, libglib2.0-dev, libpixman-1-dev, libxv-dev,
  libnss3-dev
-Standards-Version: 3.9.4
-Homepage: http://www.freedesktop.org/wiki/Software/fprint/libfprint
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=fingerforce/libfprint.git
-Vcs-Git: git://anonscm.debian.org/fingerforce/libfprint.git
+Standards-Version: 3.9.8
+Homepage: https://www.freedesktop.org/wiki/Software/fprint/libfprint
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=fingerforce/libfprint.git
+Vcs-Git: https://anonscm.debian.org/git/fingerforce/libfprint.git
 
 Package: libfprint-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,6 @@
 	rm -f debian/libfprint0.udev
 
 override_dh_auto_configure:
-	# From autogen.sh
-	libtoolize --copy --force
-	aclocal
-	autoheader
-	autoconf
-	automake -a -c
 	dh_auto_configure -- $(CONFIG_ARGS)
 
 override_dh_auto_install:

=== debian/watch ===
version=4

https://people.freedesktop.org/~anarsoul/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## libfprint 0.8.2

=== debian/changelog ===
libfprint (1:0.8.2-3) unstable; urgency=medium

  * Team upload.
  * d/p/lib-Add-accessor-for-minutia-coordinates.patch: Add a way to access
    minutia coordinates, this will help to fix ftbfs in fprint_demo

 -- Laurent Bigonville <bigon@debian.org>  Wed, 10 Oct 2018 17:20:45 +0200

libfprint (1:0.8.2-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: Remove the *.private fields of libfprint.pc (Closes:
    #906975)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 23 Aug 2018 15:02:51 +0200

libfprint (1:0.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #904791)
    - Switch to meson, the static library is not built anymore
    - Bump debhelper version to >= 10.3 to have meson support
    - debian/libfprint0.symbols: Add newly exported symbols
    - Fix security hole by zero out memory when allocated (Closes: #890827)
    - d/p/kFreeBSD_FTBFS_add_ETIME_definition.patch: Updated
    - d/p/use-non-versionned-libusbh-path.patch: Updated
    - debian/libfprint0.postinst: Call udevadm --trigger also for the new
      supported readers
  * debian/watch: Update the watch file to point to the freedesktop gitlab
    release page
  * Build the documentation
  * debian/libfprint0.lintian-overrides: Overrides udev-rule-missing-uaccess,
    we don't want the readers to be accessible by unprivileged users
  * debian/rules: Do not explicitly pass --parallel to debhelper as it's the
    default now
  * debian/control: Bump Standards-Version to 4.1.4 (no further changes)
  * debian/control: Bump all the packages to priority optional, priority extra
    is now deprecated
  * debian/rules: Simplify the installation of the udev rules file
  * Ship the API doc in a new libfprint-doc package
  * d/p/fix_ftbfs_meson.patch: Fix FTBFS with newer meson
  * debian/control: Bump Standards-Version to 4.2.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 12 Aug 2018 17:51:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: libfprint
-Priority: extra
+Priority: optional
 Section: libs
 Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
 Uploaders: Ulises Vitulli <dererk@debian.org>, Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 10.3),
  libusb-1.0-0-dev, libglib2.0-dev, libpixman-1-dev, libxv-dev,
- libnss3-dev
-Standards-Version: 3.9.8
+ libnss3-dev, meson, gtk-doc-tools
+Standards-Version: 4.2.0
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/libfprint
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=fingerforce/libfprint.git
 Vcs-Git: https://anonscm.debian.org/git/fingerforce/libfprint.git
@@ -15,6 +15,7 @@
 Section: libdevel
 Architecture: any
 Depends: libfprint0 (= ${binary:Version}), ${misc:Depends}
+Suggests: libfprint-doc
 Description: async fingerprint library of fprint project, development headers
  The fprint project aims to support for consumer fingerprint reader devices.
  .
@@ -53,3 +54,24 @@
  allowing fprint to perform non-blocking device tasks. 
  .
  This package provides shared libraries.
+
+Package: libfprint-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Description: async fingerprint library of fprint project, API documentation
+ The fprint project aims to support for consumer fingerprint reader devices.
+ .
+ Previously, Linux support for such devices has been scattered amongst different
+ projects (many incomplete) and inconsistent in that application developers
+ would have to implement support for each type of fingerprint reader separately.
+ The idea is to change that by providing a central system to support all the
+ fingerprint readers as it's possible to get hands on.
+ .
+ libfprint is the centre of efforts, this component does the dirty job of
+ talking to fingerprint reading devices, and processing fingerprint data.
+ .
+ This library depends on the new libusb, which performs asynchronous callbacks,
+ allowing fprint to perform non-blocking device tasks.
+ .
+ This package provides the API documentation.

=== debian/watch ===
version=4

https://gitlab.freedesktop.org/libfprint/libfprint/tags?sort=updated_desc \
  /libfprint/libfprint/uploads/(?:[^/]*)/libfprint-(.*).tar.xz

## libfprint 0.9.2.1

=== debian/changelog ===
libfprint (1:0.9.2.1-3) unstable; urgency=medium

  * There is a serious problem with the fallback version 0.9.2.

 -- LiChengGang <lichenggang@uniontech.com>  Thu, 31 Mar 2022 14:20:36 +0800

libfprint (1:0.8.2.1-4) unstable; urgency=medium

  * Team upload.
  * d/p/deepin-bug61441-Fix-uru4000-device-coredump-from-debian.patch: 
    Clear the timeout loops to prevent program coredump in uru4000.c

 -- mayijian <mayijian@uniontech.com>  Fri, 5 Mar 2021 10:34:45 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Configuration arguments
CONFIG_ARGS = -Dudev_rules_dir=/lib/udev/rules.d

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_ARGS)

override_dh_install:
	mv debian/tmp/lib/udev/rules.d/60-fprint-autosuspend.rules \
		debian/tmp/lib/udev/rules.d/60-libfprint0.rules
	sed -i '/^Requires.private\|^Libs.private/ d' \
		debian/tmp/usr/lib/*/pkgconfig/libfprint.pc
	dh_install

## libfprint 1.0

=== meson_options.txt ===
--- 
+++ 
@@ -14,6 +14,10 @@
        description: 'Whether to build X11 example applications',
        type: 'boolean',
        value: true)
+option('gtk-examples',
+       description: 'Whether to build GTK+ example applications',
+       type: 'boolean',
+       value: false)
 option('doc',
        description: 'Whether to build the API documentation',
        type: 'boolean',

=== debian/changelog ===
libfprint (1:1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - d/p/lib-Add-accessor-for-minutia-coordinates.patch,
      d/p/fix_ftbfs_meson.patch: Dropped, applied upstream
    - Other patches: Refreshed
    - debian/libfprint0.symbols: Add newly exported symbol
    - debian/libfprint0.postinst: Call udevadm --trigger also for the new
      supported readers
  * debian/gbp.conf: Set pristine-tar and upstream-vcs-tag
  * debian/control: Update Vcs-* fields (Closes: #909256)
  * debian/rules: Disable the build of the GTK+ test application for now, this
    is not ready yet
  * debian/control: Bump Standards-Version to 4.4.0 (no further changes)
  * debian/libfprint0.symbols: Add the Build-Depends-Package field
  * debian/control: Add libglib2.0-doc to Build-Depends-Indep, this allows
    gtk-doc to properly resolve all the links in the documentation
  * debian/README.source: Document how the list of devices in
    debian/libfprint0.postinst is generated

 -- Laurent Bigonville <bigon@debian.org>  Fri, 23 Aug 2019 17:27:45 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,18 @@
 Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
 Uploaders: Ulises Vitulli <dererk@debian.org>, Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 10.3),
- libusb-1.0-0-dev, libglib2.0-dev, libpixman-1-dev, libxv-dev,
- libnss3-dev, meson, gtk-doc-tools
-Standards-Version: 4.2.0
+               gtk-doc-tools,
+               libglib2.0-dev (>= 2.50),
+               libnss3-dev,
+               libpixman-1-dev,
+               libusb-1.0-0-dev,
+               libxv-dev,
+               meson
+Build-Depends-Indep: libglib2.0-doc
+Standards-Version: 4.4.0
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/libfprint
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=fingerforce/libfprint.git
-Vcs-Git: https://anonscm.debian.org/git/fingerforce/libfprint.git
+Vcs-Browser: https://salsa.debian.org/debian/libfprint
+Vcs-Git: https://salsa.debian.org/debian/libfprint.git
 
 Package: libfprint-dev
 Section: libdevel
@@ -29,14 +35,14 @@
  talking to fingerprint reading devices, and processing fingerprint data.
  .
  This library depends on the new libusb, which performs asynchronous callbacks,
- allowing fprint to perform non-blocking device tasks. 
+ allowing fprint to perform non-blocking device tasks.
  .
  This package provides development headers.
 
 Package: libfprint0
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: async fingerprint library of fprint project, shared libraries
  The fprint project aims to support for consumer fingerprint reader devices.
@@ -51,7 +57,7 @@
  talking to fingerprint reading devices, and processing fingerprint data.
  .
  This library depends on the new libusb, which performs asynchronous callbacks,
- allowing fprint to perform non-blocking device tasks. 
+ allowing fprint to perform non-blocking device tasks.
  .
  This package provides shared libraries.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # Configuration arguments
-CONFIG_ARGS = -Dudev_rules_dir=/lib/udev/rules.d
+CONFIG_ARGS = -Dudev_rules_dir=/lib/udev/rules.d -Dgtk-examples=false
 
 %:
 	dh $@

## libfprint 1.90.1%2Btod1

=== debian/rules ===
#!/usr/bin/make -f

# Configuration arguments
CONFIG_ARGS = -Dudev_rules_dir=/lib/udev/rules.d -Dgtk-examples=false

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_ARGS)

override_dh_install:
	mv debian/tmp/lib/udev/rules.d/60-libfprint-2-autosuspend.rules \
		debian/tmp/lib/udev/rules.d/60-libfprint-2.rules
	sed -i '/^Requires.private\|^Libs.private/ d' \
		debian/tmp/usr/lib/*/pkgconfig/libfprint-2.pc
	dh_install

override_dh_auto_test:
	# don't fail build on s390x, some tests are failing but upstream
	# isn't interested in spending energy on this at the moment
	# see https://gitlab.freedesktop.org/libfprint/libfprint/issues/236
ifneq (,$(filter $(DEB_HOST_ARCH),s390x))
	dh_auto_test || true
else
	dh_auto_test
endif

## libfprint 1.90.1+tod1

=== meson_options.txt ===
option('drivers',
       description: 'Drivers to integrate, "default" selects the default set, "all" selects all drivers',
       type: 'string',
       value: 'default')
option('introspection',
       description: 'Build GObject Introspection repository',
       type: 'boolean',
       value: true)
option('udev_rules',
       description: 'Whether to create a udev rules file',
       type: 'boolean',
       value: true)
option('udev_rules_dir',
       description: 'Installation path for udev rules',
       type: 'string',
       value: 'auto')
option('gtk-examples',
       description: 'Whether to build GTK+ example applications',
       type: 'boolean',
       value: false)
option('doc',
       description: 'Whether to build the API documentation',
       type: 'boolean',
       value: true)

option('tod',
       description: 'Whether to build the TOD library',
       type: 'boolean',
       value: true)

=== debian/changelog ===
libfprint (1:1.90.1+tod1-0ubuntu4) focal; urgency=medium

  * Rebuild with the new libgusb

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 18 Mar 2020 15:34:58 +0100

libfprint (1:1.90.1+tod1-0ubuntu3) focal; urgency=medium

  * Rebuild with the current libgusb (lp: #1867639)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Mar 2020 20:27:38 +0100

libfprint (1:1.90.1+tod1-0ubuntu2) focal; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/control: Make package to match soname, rename to libfprint-2-tod1

 -- Iain Lane <iain.lane@canonical.com>  Tue, 03 Mar 2020 09:21:35 +0000

libfprint (1:1.90.1+tod1-0ubuntu1) focal; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * TOD: Add TOuch Drivers loader
  * debian/watch: Monitor libfprint-tod versions only
  * debian/gbp.conf:
    - Track ubuntu branch
    - Use 'upstream-tod' branch as our upstream branch
  * debian: Add libfprint-2-tod library and headers
  * debian/control:
    - Set ubuntu as maintainer
    - Point Vcs tag to the ubuntu branch
  * debian/README.tod.md: Added informations about the TOD fork

  [ Iain Lane ]
  * control: Point Vcs-* to salsa/ubuntu-dev-team/libfprint

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 02 Mar 2020 16:43:58 +0000

libfprint (1:1.90.1-2) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/control: Add libcairo-dev and python3 to build-dependencies as they
    are explicitly required for some tests

  [ Sebastien Bacher ]
  * debian/patches/git_reading_pointer.patch:
    - backport an upstream fix for a test issue
  * debian/rules:
    - don't fail the build on s390x test results, upstream stated that
      fixing those is low priority for them since there is no real
      usecase for fingerprint authentification on that architecture.
  * Use the correct indentation for the previous changes

 -- Laurent Bigonville <bigon@debian.org>  Thu, 27 Feb 2020 16:28:45 +0100

libfprint (1:1.90.1-1) experimental; urgency=medium

  * Team upload.
  * The "I should check if somebody else hasn't done the work already" release
  * New upstream release
    - Replace libusb-1.0 build-dependency by gusb and add libgusb-doc to the
      Build-Depends-Indep. Also drop libxv-dev from the build-dep.
    - Drop d/patches/kFreeBSD_FTBFS_add_ETIME_definition.patch and
      d/patches/use-non-versionned-libusbh-path.patch, not needed anymore
    - debian/patches/udev-rules-creation-add-Debian-specifics.patch: refreshed
      by Sebastien Bacher, thanks!
    - Bump the soname to libfprint-2
    - Bump libglib2.0-dev and meson minimal versions
  * Bump debhelper compatibility version to 12
  * Add gobject-introspection and libgirepository1.0-dev to the
    build-dependencies and install the GObject introspection bindings
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * debian/control: Build-Depends on python3-cairo, python3-gi, umockdev for
    the testsuite
  * Update debian/libfprint2.postinst for the new supported readers
  * debian/gbp.conf: Upstream tags have changed format
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * d/p/udev-rules-creation-add-Debian-specifics.patch: Avoid unprivileged
    users to be able to read the devices, this is not necessary and could lead
    to fingerprint images being captured.

 -- Laurent Bigonville <bigon@debian.org>  Thu, 13 Feb 2020 16:35:50 +0100

=== debian/control ===
Source: libfprint
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: FingerForce Team <fingerforce-devel@lists.alioth.debian.org>
Uploaders: Ulises Vitulli <dererk@debian.org>, Didier Raboud <odyx@debian.org>
Build-Depends: debhelper-compat (= 12),
               gobject-introspection,
               gtk-doc-tools,
               libcairo-dev <!nocheck>,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.56),
               libgusb-dev (>= 0.3.0),
               libnss3-dev,
               libpixman-1-dev,
               meson (>= 0.49.0),
               python3 <!nocheck>,
               python3-cairo <!nocheck>,
               python3-gi <!nocheck>,
               umockdev <!nocheck>
Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgusb-doc <!nodoc>
Standards-Version: 4.5.0
Homepage: https://www.freedesktop.org/wiki/Software/fprint/libfprint
Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/libfprint
Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/libfprint.git -b ubuntu

Package: libfprint-2-2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: async fingerprint library of fprint project, shared libraries
 The fprint project aims to support for consumer fingerprint reader devices.
 .
 Previously, Linux support for such devices has been scattered amongst different
 projects (many incomplete) and inconsistent in that application developers
 would have to implement support for each type of fingerprint reader separately.
 The idea is to change that by providing a central system to support all the
 fingerprint readers as it's possible to get hands on.
 .
 libfprint is the centre of efforts, this component does the dirty job of
 talking to fingerprint reading devices, and processing fingerprint data.
 .
 This library depends on the new libusb, which performs asynchronous callbacks,
 allowing fprint to perform non-blocking device tasks.
 .
 This package provides shared libraries.

Package: libfprint-2-dev
Section: libdevel
Architecture: any
Depends: gir1.2-fprint-2.0 (= ${binary:Version}),
         libfprint-2-2 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libfprint-2-doc
Description: async fingerprint library of fprint project, development headers
 The fprint project aims to support for consumer fingerprint reader devices.
 .
 Previously, Linux support for such devices has been scattered amongst different
 projects (many incomplete) and inconsistent in that application developers
 would have to implement support for each type of fingerprint reader separately.
 The idea is to change that by providing a central system to support all the
 fingerprint readers as it's possible to get hands on.
 .
 libfprint is the centre of efforts, this component does the dirty job of
 talking to fingerprint reading devices, and processing fingerprint data.
 .
 This library depends on the new libusb, which performs asynchronous callbacks,
 allowing fprint to perform non-blocking device tasks.
 .
 This package provides development headers.

Package: libfprint-2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: async fingerprint library of fprint project, API documentation
 The fprint project aims to support for consumer fingerprint reader devices.
 .
 Previously, Linux support for such devices has been scattered amongst different
 projects (many incomplete) and inconsistent in that application developers
 would have to implement support for each type of fingerprint reader separately.
 The idea is to change that by providing a central system to support all the
 fingerprint readers as it's possible to get hands on.
 .
 libfprint is the centre of efforts, this component does the dirty job of
 talking to fingerprint reading devices, and processing fingerprint data.
 .
 This library depends on the new libusb, which performs asynchronous callbacks,
 allowing fprint to perform non-blocking device tasks.
 .
 This package provides the API documentation.

Package: gir1.2-fprint-2.0
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: async fingerprint library of fprint project, gir bindings
 The fprint project aims to support for consumer fingerprint reader devices.
 .
 Previously, Linux support for such devices has been scattered amongst different
 projects (many incomplete) and inconsistent in that application developers
 would have to implement support for each type of fingerprint reader separately.
 The idea is to change that by providing a central system to support all the
 fingerprint readers as it's possible to get hands on.
 .
 libfprint is the centre of efforts, this component does the dirty job of
 talking to fingerprint reading devices, and processing fingerprint data.
 .
 This library depends on the new libusb, which performs asynchronous callbacks,
 allowing fprint to perform non-blocking device tasks.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libfprint-2-tod1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: async fingerprint library of fprint project, drivers shared libraries
 The fprint project aims to support for consumer fingerprint reader devices.
 .
 Previously, Linux support for such devices has been scattered amongst different
 projects (many incomplete) and inconsistent in that application developers
 would have to implement support for each type of fingerprint reader separately.
 The idea is to change that by providing a central system to support all the
 fingerprint readers as it's possible to get hands on.
 .
 libfprint is the centre of efforts, this component does the dirty job of
 talking to fingerprint reading devices, and processing fingerprint data.
 .
 This library depends on the new libusb, which performs asynchronous callbacks,
 allowing fprint to perform non-blocking device tasks.
 .
 This package provides shared libraries for the TOD drivers.

Package: libfprint-2-tod-dev
Section: libdevel
Architecture: any
Depends: libfprint-2-tod1 (= ${binary:Version}),
         ${misc:Depends}
Description: async fingerprint library of fprint project, drivers development headers
 The fprint project aims to support for consumer fingerprint reader devices.
 .
 Previously, Linux support for such devices has been scattered amongst different
 projects (many incomplete) and inconsistent in that application developers
 would have to implement support for each type of fingerprint reader separately.
 The idea is to change that by providing a central system to support all the
 fingerprint readers as it's possible to get hands on.
 .
 libfprint is the centre of efforts, this component does the dirty job of
 talking to fingerprint reading devices, and processing fingerprint data.
 .
 This library depends on the new libusb, which performs asynchronous callbacks,
 allowing fprint to perform non-blocking device tasks.
 .
 This package provides development headers for creating device drivers.
 An example driver is available at:
 https://gitlab.freedesktop.org/3v1n0/libfprint-tod-example-driver

## libfprint 1.90.2+tod1

=== debian/changelog ===
libfprint (1:1.90.2+tod1-0ubuntu1~20.04.10) focal; urgency=medium

  [ Andy Chi ]
  * Add support of Goodix fp devices
    - d/p/goodixmoc-add-PID-0x631C.patch (LP: #1990209)
    - d/p/goodixmoc-add-PID-0x634C.patch (LP: #1989313)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 21 Nov 2022 17:01:58 +0100

libfprint (1:1.90.2+tod1-0ubuntu1~20.04.9) focal; urgency=medium

  [ Andy Chi ]
  * Add support for latest elanmoc devices (LP: #1989314):
    - d/p/elanmoc-add-PID-0x0c88.patch
    - d/p/elanmoc-Fix-the-identify-verify-error-reporting-in-identi.patch
    - d/p/elanmoc-Fix-warning.patch
    - d/p/elanmoc-Increase-of-the-timeout.patch
    - d/p/elanmoc-Return-the-correct-error-when-the-storage-is-full.patch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 24 Oct 2022 14:52:37 +0200

libfprint (1:1.90.2+tod1-0ubuntu1~20.04.8) focal; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Refresh
  * debian/patches: Cherry-pick upstream elanmoc driver support for Elan's
    Match on Chip devices (LP: #1936302).

  [ Andy Chi ]
  * d/p/elanmoc-Adjustments-to-protocol-change-passing-an-empty-u.patch:
    Cherry-pick upstream fixes for elanmoc driver (LP: #1936302)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 20 May 2022 15:32:12 +0200

libfprint (1:1.90.2+tod1-0ubuntu1~20.04.7) focal; urgency=medium

  * debian/patches: Add support for new synaptics ID. (LP: #1962277)

 -- Andy Chi <andy.chi@canonical.com>  Tue, 22 Feb 2022 19:29:31 +0800

libfprint (1:1.90.2+tod1-0ubuntu1~20.04.6) focal; urgency=medium

  [ Andy Chi ]
  * debian/patches: Add support for goodix [27C6:63CC] (LP: #1950438)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 14 Dec 2021 20:18:39 +0100

libfprint (1:1.90.2+tod1-0ubuntu1~20.04.5) focal; urgency=medium

  * debian/patches: Add support for goodix and new elan and synaptics devices.
    Elan and synaptics drivers only need to list new product IDs to work with
    new devices, and including other changes that new devices may require.
    While adding the new goodix moc driver, that is already part of many
    stable releases now, coming with full unit test and latest supported
    devices. (LP: #1945296, #1945298)
  * debian/patches: Fix template struct in goodix drivers (LP: #1945296)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 27 Oct 2021 00:07:47 +0200

libfprint (1:1.90.2+tod1-0ubuntu1~20.04.4) focal; urgency=medium

  * debian/patches:
    - image-device: Delay completion until deactivation (LP: #1897613)
    - Support more synaptics devices PIDs (LP: #1905593)
    - Ensure we properly handle references of prints galleries (LP: #1908107)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 14 Dec 2020 19:28:09 +0100

libfprint (1:1.90.2+tod1-0ubuntu1~20.04.3) focal; urgency=medium

  * debian/patches (upstream cherry-picks):
    - Properly handle aes3k devices, resubmitting commands.
      This also needs proper commands cancellation (LP: #1897613)
    - Add support for new Synaptics devices IDs (LP: #1905593)
    - Fix vfs301 verification using device pointer on callbacks (LP: #1905597)
    - Ensure we do not waste power for unsupported devices (LP: #1905603)
    - Add identification support to synaptics driver.
      It allows to unlock / log-in with any finger. (LP: #1905600)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 30 Nov 2020 21:18:42 +0100

libfprint (1:1.90.2+tod1-0ubuntu1~20.04.2) focal; urgency=medium

  * d/p/synaptics-retry-get-version-command-once-when-receiving-n.patch,
    d/p/synaptics-support-sensors-pid-0xe9-0xdf.patch:
    - Newly added support for Synaptics devices 06CB:00E9 06CB:00D
      (LP: #1893719)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 24 Sep 2020 06:38:08 +0200

libfprint (1:1.90.2+tod1-0ubuntu1~20.04.1) focal; urgency=medium

  * New upstream release (LP: #1887822)
    - Fixed crash in VFS0050 (LP: #1878285)
    - Enrollment fails with UPEK reader (LP: #1881380)
    - As per a patch for nbis required for some sensors that was accidentally
      dropped in an earlier release. Users of sensors/drivers aes1610, aes2501,
      aes2550, aes1660, aes2660, elan, upektc_img) need to re-enroll
  * d/p/git_reading_pointer.patch:
    - Dopped (applied upstream)
  * debian/control: Add missing libfprint-2-tod-dev dependencies (LP: #1884267)
  * debian/rules: Be strictier about symbol changes
  * libfprint-2-tod1.symbols: Add new TOD symbols
  * debian/{control, gbp.conf}: prepare for focal branching

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 16 Jul 2020 18:06:19 +0200

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgusb-doc <!nodoc>
 Standards-Version: 4.5.0
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/libfprint
-Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/libfprint
-Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/libfprint.git -b ubuntu
+Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/libfprint/tree/focal
+Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/libfprint.git -b focal
 
 Package: libfprint-2-2
 Architecture: any
@@ -141,6 +141,11 @@
 Section: libdevel
 Architecture: any
 Depends: libfprint-2-tod1 (= ${binary:Version}),
+         libfprint-2-dev (= ${binary:Version}),
+         libglib2.0-dev (>= 2.56),
+         libgusb-dev (>= 0.2.0),
+         libpixman-1-dev,
+         libnss3-dev,
          ${misc:Depends}
 Description: async fingerprint library of fprint project, drivers development headers
  The fprint project aims to support for consumer fingerprint reader devices.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 2
 
 # Configuration arguments
 CONFIG_ARGS = -Dudev_rules_dir=/lib/udev/rules.d -Dgtk-examples=false

=== debian/watch ===
version=4

opts=versionmangle=s/_/./g \
  https://gitlab.freedesktop.org/3v1n0/@PACKAGE@/tags \
  .*\/archive\/[Vv]_?([\d_\+\.]+\+tod[0-9]+)\/@PACKAGE@-.*@ARCHIVE_EXT@

## libfprint 1.90.3+tod1

=== debian/changelog ===
libfprint (1:1.90.3+tod1-0ubuntu1) groovy; urgency=medium

  * New upstream release (LP: #1896861):
    - New goodixmoc driver supporting Goodix USB devices:
      27C6:5840, 27C6:6496, 27C6:60A2
    - Newly added support for Synaptics device:
      06CB:00E9 06CB:00DF (LP: #1893719)
    - Fixed an issue with Synaptics devices sometimes not working at boot
      (LP: #1893719)
    - Fix issue with aes3k driver
  * debian/libfprint-2-tod1.symbols: Added new GType symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 24 Sep 2020 06:14:30 +0200

libfprint (1:1.90.2+tod1-0ubuntu1) groovy; urgency=medium

  * New upstream release
    - Fixed crash in VFS0050 (LP: #1878285)
    - Enrollment fails with UPEK reader (LP: #1881380)
    - Lots of various drivers fixes
    - As per a patch for nbis required for some sensors that was accidentally
      dropped in an earlier release. Users of sensors/drivers aes1610, aes2501,
      aes2550, aes1660, aes2660, elan, upektc_img) need to re-enroll
  * d/p/git_reading_pointer.patch:
    - Dopped (applied upstream)
  * debian/control: Add missing libfprint-2-tod-dev dependencies (LP: #1884267)
  * debian/rules: Be strictier about symbol changes
  * libfprint-2-tod1.symbols: Add new TOD symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 19 Jun 2020 17:38:55 +0200

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgusb-doc <!nodoc>
 Standards-Version: 4.5.0
 Homepage: https://www.freedesktop.org/wiki/Software/fprint/libfprint
-Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/libfprint/tree/focal
-Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/libfprint.git -b focal
+Vcs-Browser: https://salsa.debian.org/ubuntu-dev-team/libfprint
+Vcs-Git: https://salsa.debian.org/ubuntu-dev-team/libfprint.git -b ubuntu
 
 Package: libfprint-2-2
 Architecture: any
